<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class HinterlegungUhrzeitenBis extends HinterlegungUhrzeiten
{
  public function GetColumnCount()
  {
    return 1;
  }

  public function GetIdColumnIndices()
  {
    return array(1);
  }

  public function GetColumnTitle($index)
  {
    return 'bis';
  }

  public function GetValueAt($row, $column)
  {
    return $this->data[$row]->ende;
  }
}


class HinterlegungUhrzeitenBisDialog extends HinterlegungDialogBasis
{
  public $data;

  public function __construct()
  {
    parent::__construct();
    $dbwu = new DBWorkUhrzeit();
    $this->data = $dbwu->getEndeUhrzeiten();
  }

  public function GetColumnCount()
  {
    return 1;
  }

  public function GetColumnTitle($index)
  {
    switch ($index) {
      case 0: return 'bis';
      default: return parent::GetColumnTitle($index);
    }
  }

  public function GetRowCount()
  {
    return count($this->data);
  }

  public function GetIdColumnIndices()
  {
    return array(0);
  }

  public function GetValueAt($row, $column)
  {
    switch ($column) {
      case 0:
        return $this->data[$row];
    }
  }
}